Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.ax25
Class FrameWrapper

    java.lang.Object
      org.ka2ddo.ax25.FrameWrapper

All Implemented Interfaces:
  AX25FrameSource

    public class FrameWrapper

extends java.lang.Object
implements AX25FrameSource

This class provides an association between a frame and a PortConnector for transmission.

Constructor Summary
`FrameWrapper(AX25Frame frame, FrameState state, Connector port)`

Method Summary
`Connector` | `getConnector()` Specify the Connector this message should be transmitted through.
`AX25Frame[]` | `getFrames(boolean incrementXmtCount, byte protocolId, java.lang.String senderCallsign)` Get one or more AX25Frames of the data to transmit.
`int` | `getNumTransmitsBeforeDecay()` Get number of times frame will be retransmitted before inter-packet delay is increased.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FrameWrapper

    public FrameWrapper(AX25Frame frame,
                        FrameState state,
                        Connector port)

Method Detail

### getFrames

    public AX25Frame[] getFrames(boolean incrementXmtCount,
                                 byte protocolId,
                                 java.lang.String senderCallsign)

  Get one or more AX25Frames of the data to transmit.

  Specified by:
    `getFrames` in interface `AX25FrameSource`
  Parameters:
    `incrementXmtCount` - indicate whether the transmit counter (used to cycle through proportional pathing) should be incremented
    `protocolId` - indicate the protocol to generate this frame for (not relevant for digipeated frames); zero to indicate current protocol
    `senderCallsign` - String of local callsign sending this message (may be ignored if digipeating a message from another station)
  Returns:
    array of AX25Frame objects to transmit, or null indicating nothing to transmit in the specified protocol

### getNumTransmitsBeforeDecay

    public int getNumTransmitsBeforeDecay()

  Description copied from interface: `AX25FrameSource`
  Get number of times frame will be retransmitted before inter-packet delay is increased.

  Specified by:
    `getNumTransmitsBeforeDecay` in interface `AX25FrameSource`
  Returns:
    transmission count before interval increase

### getConnector

    public Connector getConnector()

  Description copied from interface: `AX25FrameSource`
  Specify the Connector this message should be transmitted through.

  Specified by:
    `getConnector` in interface `AX25FrameSource`
  Returns:
    a specific Connector instance to transmit through, or null for all applicable ports (Connector.CAP_XMT_PACKET_DATA and not rejecting this specific packet [such as IGateConnectors shouldn't re-transmit something received from the IGate])
  See Also:
    `Connector.CAP_XMT_PACKET_DATA`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD